#pragma once
#include "CAmxString.h"

void StrAmx::SetString( AMX* amx, cell param, std::string str)
{
	cell *destination;
	amx_GetAddr( amx, param, &destination );
	amx_SetString( destination, str.c_str(), 0, 0, str.length()+1 );
}

std::string StrAmx::GetString( AMX* amx, cell param )
{
	cell *pString;
	char *szDest;
	int nLen;
	amx_GetAddr(amx,param,&pString);
	amx_StrLen(pString, &nLen);
	szDest = new char[nLen+1]; 
	amx_GetString(szDest, pString, 0, UNLIMITED);
	std::string s( szDest );
	delete szDest;
	return s;
}